%define ver_major 0.8
%def_without xine
%def_disable ipod
%def_with nautilus_menu

Name: rhythmbox
Version: %ver_major.8
Release: alt0.5

Summary: Music Management Application
License: GPL
Group: Sound
Url: http://www.rhythmbox.org

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

Obsoletes: libmonkey-media

%define gtk_ver 2.5.3
%define libgnomeui_ver 2.8.0
%define glade_ver 2.4.0
%define gstreamer_ver 0.8.4
%define musicbrainz_ver 2.0.0
%define scrollkeeper_ver 0.3.14
%define GConf_ver 2.8.0
%define rpm_ver 4.0.4-alt14
%define gnome_common_ver 2.8.0
%define desktop_file_utils_ver 0.8

Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver
PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: GConf2 >= %GConf_ver
Requires: libgtk+2 >= %gtk_ver
Requires: libgnomeui >= %libgnomeui_ver
Requires: libglade2 >= %glade_ver
Requires: libmusicbrainz >= %musicbrainz_ver

%if_without xine
Requires: gstreamer >= %gstreamer_ver
Requires: gstreamer-plugins >= %gstreamer_ver
Requires: gstreamer-gnomevfs >= %gstreamer_ver
Requires: gstreamer-oss >= %gstreamer_ver
Requires: gstreamer-alsa >= %gstreamer_ver
Requires: gstreamer-audio-effects >= %gstreamer_ver
Requires: gstreamer-audio-formats >= %gstreamer_ver
Requires: gstreamer-mad >= %gstreamer_ver
Requires: gstreamer-vorbis >= %gstreamer_ver
Requires: gstreamer-ogg >= %gstreamer_ver
Requires: gstreamer-flac >= %gstreamer_ver
Requires: gstreamer-lame >= %gstreamer_ver
Requires: gstreamer-tagediting >= %gstreamer_ver
%endif

BuildPreReq: desktop-file-utils >= %desktop_file_utils_ver
BuildPreReq: rpm >= %rpm_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libmusicbrainz-devel >= %musicbrainz_ver
BuildPreReq: menu-devel

%if_without xine
BuildPreReq: gstreamer-devel >= %gstreamer_ver
BuildPreReq: gstreamer-utils >= %gstreamer_ver
BuildPreReq: gstreamer-plugins-devel >= %gstreamer_ver
BuildPreReq: gstreamer-gnomevfs >= %gstreamer_ver
BuildPreReq: gstreamer-oss >= %gstreamer_ver
BuildPreReq: gstreamer-alsa >= %gstreamer_ver
BuildPreReq: gstreamer-audio-effects >= %gstreamer_ver
BuildPreReq: gstreamer-audio-formats >= %gstreamer_ver
BuildPreReq: gstreamer-mad >= %gstreamer_ver
BuildPreReq: gstreamer-vorbis >= %gstreamer_ver
BuildPreReq: gstreamer-flac >= %gstreamer_ver
%endif

# Automatically added by buildreq on Sat Apr 17 2004
#BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs esound fontconfig freetype2 gcc-c++ gcc-g77 glib2-devel gnome-control-center gnome-vfs2-devel gstreamer-a52dec gstreamer-aalib gstreamer-alsa gstreamer-artsd gstreamer-audio-effects gstreamer-audio-formats gstreamer-audiofile gstreamer-avi gstreamer-cdparanoia gstreamer-cdplayer gstreamer-colorspace gstreamer-container-formats gstreamer-debug gstreamer-devel gstreamer-dv gstreamer-dvdnav gstreamer-dvdread gstreamer-esd gstreamer-faac gstreamer-faad gstreamer-fame gstreamer-festival gstreamer-ffmpeg gstreamer-ffmpegcolorspace gstreamer-flac gstreamer-flx gstreamer-gdkpixbuf gstreamer-gnomevfs gstreamer-gsm gstreamer-jack gstreamer-jpeg gstreamer-ladspa gstreamer-lame gstreamer-mad gstreamer-mikmod gstreamer-mpeg gstreamer-mpeg2dec gstreamer-nas gstreamer-network gstreamer-ogg gstreamer-oss gstreamer-plugins-devel gstreamer-png gstreamer-qcam gstreamer-raw1394 gstreamer-sdl gstreamer-shout gstreamer-snapshot gstreamer-sndfile gstreamer-swfdec gstreamer-tagediting gstreamer-textoverlay gstreamer-utils gstreamer-v4l gstreamer-vcd gstreamer-video-effects gstreamer-videotest gstreamer-visualisation gstreamer-vorbis gstreamer-xine gstreamer-xvid gstreamer-xvideosink gstreamer-xwindowlistener gstreamer-yuv4mjpeg indent libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs esound fontconfig
BuildRequires: freetype2 gcc-c++ gcc-g77 glib2-devel gnome-control-center gnome-vfs2-devel
BuildRequires: gstreamer-devel gstreamer-plugins-devel gstreamer-utils indent libGConf2-devel
BuildRequires: libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel
BuildRequires: libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel
BuildRequires: libgnomeui-devel libgtk+2-devel libflac-devel libpango-devel libpopt-devel libstdc++-devel
BuildRequires: libxml2-devel perl-XML-Parser pkgconfig scrollkeeper

%description
Music Management application with support for ripping audio-cd's,
playback of Ogg Vorbis and Mp3 and burning of cdroms.

%prep
%setup -q

# fix mp4 headers location
#%__subst 's,\(mp4\.h\|mpeg4ip.h\>\),mp4/\1,g' configure* monkey-media/*/*.c

%build
%__autoconf
%configure \
    --disable-schemas-install \
%if_with xine
    --with-player=xine \
    --with-metadata=xine \
%else
    --with-player=gstreamer \
    --with-metadata=gstreamer \
%endif
    %{subst_enable ipod} \
%if_with nautilus_menu
    --enable-nautilus-menu
%endif

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Multimedia/Sound" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -f %buildroot%_libdir/bonobo/*a

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_scrollkeeper
%update_menus
%update_desktopdb

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_scrollkeeper
%clean_menus
%clean_desktopdb

%files -f %name.lang
%_bindir/*
%_libdir/bonobo/servers/*

%if_with nautilus_menu
%_libdir/bonobo/*.so
%endif

%_datadir/%name/*
%_datadir/applications/*
%_datadir/application-registry/*
%_datadir/gnome-2.0/ui/*
%_datadir/idl/*
%_datadir/mime-info/*
%_datadir/pixmaps/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc AUTHORS ChangeLog README* NEWS THANKS TODO

%changelog
* Wed Oct 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.8-alt0.5
- 0.8.8

* Mon Sep 20 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.6-alt0.5
- 0.8.6

* Thu Jul 01 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.5-alt0.5
- 0.8.5

* Sat May 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.3-alt0.5
- 0.8.3

* Wed Apr 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.1-alt0.5
- 0.8.1

* Sat Apr 17 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt0.5
- 0.8.0

* Sat Apr 03 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.2-alt0.5
- 0.7.2

* Fri Apr 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt0.5
- 0.7.1

* Mon Dec 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.3-alt0.5
- 0.6.3

* Thu Dec 18 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.2-alt0.5
- 0.6.2

* Thu Nov 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt0.5
- 0.6.1

* Mon Oct 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.88-alt0.5
- 0.5.88

* Fri Sep 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.3-alt0.5
- 0.5.3

* Thu Aug 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.2-alt0.5
- 0.5.2

* Wed Aug 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt0.5
- 0.5.1

* Tue Mar 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.1-alt0.5
- First build for Sisyphus.

